Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 16-02-2008 11:30:59

Bisounours
Membre
Inscription : 16-02-2008

[je lance un big help] Ati radeon X1400

Bonjour,

             Je vien vous demandez de l'aide car je n'ai encore jammais réuci a intaller ma carte graphique Ati radeon X1400 pour profiter de l'acéleration 3D. J'ai tenter d'utiliser ati-driver-installer-8.42.3-x86.x86_64.run puissque le nom de ma carte aparait mais la seul chose que j'ai reussi ses planter mon serveur graphique (et sa je le fais super bien).
avant de faire cela j'utilisai fglrx mais la seul chose que sa me donne est de pouvoir profiter de ma résolution (ses mieux que rien).

je vien juste de reconfigurer tout mes fichier comme juste après son install.


-------------------------------------------------------
dsl pour l'orthographe je fais de mon mieux

Dernière modification par Bisounours (16-02-2008 12:31:14)

Hors ligne

#2 16-02-2008 13:14:48

palmito
Administrateur
Lieu : Dans la boite de gâteau!
Distrib. : bah....
Noyau : heu...
(G)UI : gné?
Inscription : 28-05-2007

Re : [je lance un big help] Ati radeon X1400

Salut et bienvenue wink

Tu as ici deux méthodes proposé pour l'installation de ton driver.

@+

Hors ligne

#3 16-02-2008 14:45:18

Bisounours
Membre
Inscription : 16-02-2008

Re : [je lance un big help] Ati radeon X1400

oui j'ai déja vu ce post mais le prob c'est qu'il faut installer fglrx  et sur se site ils disent que non.

lequel des deux dit vrai?

Hors ligne

#4 17-02-2008 12:48:41

palmito
Administrateur
Lieu : Dans la boite de gâteau!
Distrib. : bah....
Noyau : heu...
(G)UI : gné?
Inscription : 28-05-2007

Re : [je lance un big help] Ati radeon X1400

Salut

Désolé, je n'ai pas de carte graphique ati....mais saintshakajin n'a pas pour habitude de dire n'importe quoi ;-)
Si tu n'es pas pressé attends qu'une personne du site ayant une carte graphique ati te conseil smile

@+

PS: comme tu peux le constater, MaTTuX_ l'a installé via les drivers officiels et ca fonctionne....perso je tenterais d'abord l'install via apt.

Hors ligne

#5 17-02-2008 23:17:06

Melodie
Modérateur
Lieu : Pyrénées
Inscription : 28-05-2007
Site Web

Re : [je lance un big help] Ati radeon X1400

Bisounours a écrit :

oui j'ai déja vu ce post mais le prob c'est qu'il faut installer fglrx  et sur se site ils disent que non.

lequel des deux dit vrai?


Les deux disent vrai. Toi, tu as une carte ATI Mobility X1400 et la page de Lea s'appuie sur une carte X600, mais pour configurer "l'effet cube".

Regardes sur cette page :
http://wiki.cchtml.com/index.php/Hardwa … ITY_RADEON

MOBILITY RADEON

    Supported with the latest fglrx release.

    * MOBILITY RADEON 9500 (M11 4E52)
    * MOBILITY RADEON 9550 (M12 4E56)
    * MOBILITY RADEON 9600/9700 (M10/M11 4E50)
    * MOBILITY RADEON 9800 (M18 4A4E)
    * MOBILITY RADEON X300 (M22 3152)
    * MOBILITY RADEON X300 (M22 5460)
    * MOBILITY RADEON X300 (M22 5461)
    * MOBILITY RADEON X600 (M24 3150)
    * MOBILITY RADEON X600 (M24 5462)
    * MOBILITY RADEON X700 (M26 5652)
    * MOBILITY RADEON X700 (M26 5653)
    * MOBILITY RADEON X700 XL
    * MOBILITY RADEON X800 (M28 5D4A)
    * MOBILITY RADEON X800 XT (M28 5D48)
    * MOBILITY RADEON X1300 (M52 714B)
    * MOBILITY RADEON X1400 (M54 7145)
    * MOBILITY RADEON X1600 (M56 71C5)
    * MOBILITY RADEON X1800 (M58 7102)


Eh bien oui ça se configure identiquement.

Sur la page du site de ati:
http://ati.amd.com/support/drivers/linu … adeon.html

ATI Catalyst™ 8.2 Proprietary Linux x86 Display Driver

fglrx porte le nom de catalyst dans les dernières versions, si je me souviens assez bien.

Je te conseille de suivre les indications de saintshakajin aussi précisément que possible, et je te recommande de noter tout ce que tu fais et d'inscrire le résultat au fur et à mesure, (de venir en parler aussi au fur et à mesure, ça aide souvent de retrouver ses notes sur le forum).

Laquelle des deux méthodes est la meilleure : celle qui fonctionnera chez toi. N'oublies pas les accessoires pouvant être utiles tels que Driconf, les dépendances telles libgl-dri peut-être (à vérifier, maintenant je n'ai plus ATI), mesa certainement...


le blog d'une newbie :: Linuxvillage :: Bentovillage


À propos de l'OS dominant ::> “Il est plus facile de berner les gens que de leur faire admettre qu'ils ont été bernés” (trad d'une citation approximative de Mark Twain)

Hors ligne

#6 18-02-2008 03:26:23

Bisounours
Membre
Inscription : 16-02-2008

Re : [je lance un big help] Ati radeon X1400

bon alors pour l'instant je suis arriver a compiller les paquet mais la ses le drame

dpkg -i fglrx-driver_8.42.3-1_i386.deb
dpkg - avertissement : fglrx-driver mis à jour de la version 8.45.4-1 vers l'ancienne version 8.42.3-1.
(Lecture de la base de données... 111711 fichiers et répertoires déjà installés.)
Préparation du remplacement de fglrx-driver 8.45.4-1 (en utilisant fglrx-driver_8.42.3-1_i386.deb) ...
Stopping atieventsd: done.
Dépaquetage de la mise à jour de fglrx-driver ...
dpkg : erreur de traitement de fglrx-driver_8.42.3-1_i386.deb (--install) :
tentative de remplacement de « /usr/lib/libGL.so.1.2 », qui appartient aussi au paquet libgl1-mesa-glx
dpkg-deb: sous-processus paste tué par le signal (Relais brisé (pipe))
Starting atieventsd: done.
Des erreurs ont été rencontrées pendant l'exécution :
fglrx-driver_8.42.3-1_i386.deb


est se que sa ne viendrait pas du faite que le serveur graphique est allumé j'ai tenter avec le racourci [ctrl] +[ alt] +[bk sp] mais sa redémarre après

arf!! /etc/init.d/gdm stop j'avais pas vue se démon ^^

_________________________________________________________________________
le serveur est planter de chez planter je n'ai plus rien après la tentative de lencement de gdm
même e n fesant [ctrl]+[alt]+[F6]

Dernière modification par Bisounours (18-02-2008 05:33:06)

Hors ligne

#7 18-02-2008 12:34:10

freddec
homo-informaticus du genre linuxo-debianicum
Lieu : Saint Jean d'Y (17)
Distrib. : Branche Stable (Jessie)
Noyau : Linux 3.16.0-4-amd64
(G)UI : XFCE_4.1 (+/- Mate) (+/- Cinnamon)
Inscription : 09-01-2008

Re : [je lance un big help] Ati radeon X1400

Salut

La dernière fois que j'ai eu un message de ce typa là: "tentative de remplacement de....« toto », qui appartient aussi au paquet tata"

Je m'en suis sorti avec l'instruction : dpkg -i --force-overwrite NomduPaquet

Je n'ai pas,eu de soucis par la suite, mais il faut être conscient qu'en utilisant cette instruction tu force le système a schunter les controles de sécurité.
Je te conseil d'avoir le paquet libgl1-mesa-glx sous la main pour assurer sa réinstallation en cas de soucis

Desktop: Jessie (I5 - 16Go)
Laptop 1: Jessie (HP DV9000, 3Go)
Laptop 2: Jessie (PackardBell TS 44, Core I5, 4Go)
EeePC : Jessie (Atom N450, 2 Go)

Hors ligne

#8 18-02-2008 14:13:53

Bisounours
Membre
Inscription : 16-02-2008

Re : [je lance un big help] Ati radeon X1400

bon je lui ai forcer l'install (je suis pas très fier de moi snif!) et du coup now j'ai sa

 m-a update && m-a prepare && m-a a-i fglrx

Données de 85 paquets mises à jour
Récupération des sources du noyau de la version : 2.6.22-3-686
En-têtes du noyau disponibles dans /lib/modules/2.6.22-3-686/build
apt-get install build-essential
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
build-essential est déjà la plus récente version disponible.
Vous pouvez lancer « apt-get -f install » pour corriger ces problèmes :
Les paquets suivants contiennent des dépendances non satisfaites :
  fglrx-kernel-2.6.22-3-686: Dépend: fglrx-driver (= 8.45.4-1) mais 8.42.3-1 devra être installé
E: Dépendances non satisfaites. Essayez « apt-get -f install » sans paquet
(ou indiquez une solution).

Fait.

Hors ligne

#9 18-02-2008 19:37:13

freddec
homo-informaticus du genre linuxo-debianicum
Lieu : Saint Jean d'Y (17)
Distrib. : Branche Stable (Jessie)
Noyau : Linux 3.16.0-4-amd64
(G)UI : XFCE_4.1 (+/- Mate) (+/- Cinnamon)
Inscription : 09-01-2008

Re : [je lance un big help] Ati radeon X1400

Re
Je ne sais pas sur quelle branche Debian tu es, mais fglrx en version 8.45 existe dans les dépots Testing et Sid
Il te suffirai donc de poser le fglrx-kernel-source et de compiler ton module a partir de là

Desktop: Jessie (I5 - 16Go)
Laptop 1: Jessie (HP DV9000, 3Go)
Laptop 2: Jessie (PackardBell TS 44, Core I5, 4Go)
EeePC : Jessie (Atom N450, 2 Go)

Hors ligne

#10 18-02-2008 22:20:55

saintshakajin
Modérateur
Distrib. : Unstable
Noyau : uname -r
(G)UI : KDE4
Inscription : 01-06-2007

Re : [je lance un big help] Ati radeon X1400

Je te remercie Palmito big_smile
Ma méthode est toujours d'actualité. Il faut que tu installes fglrx sinon ta carte ne sera pas supportée pour la 3d. Quand j'avais écrit le tuto, j'avais une x1300. De plus, les derniers drivers ati permettent de se la jouer à la nvidia. En effet, il te le faut d'autant plus car tu pourras te passer de XGL et donc regagner en performance.

Sinon, il faudrait que nous sachions sur quelle bracnhe tu es car la méthode la plus propre est de passer module-assistant

Hors ligne

#11 19-02-2008 04:10:38

Bisounours
Membre
Inscription : 16-02-2008

Re : [je lance un big help] Ati radeon X1400

arff j'en ai ras le bol sa fias 4 ou 5 fois que mon serveur me fais black scream (quand le serveur graphique reboot il y a mêm pas une ligne de texte qui s'affiche obliger de réinstaller le répertoire / ) pire que les blue sream de win (pour tant il font rire quand ses pas moi).

je suis sur lenny donc testing mais j'ai un dvd et pas un cd netseting ses peut être pour sa vue que mon source liste na que cette ligne en plus:

# fglrx
deb http://ftp.fr.debian.org/debian/ lenny contrib non-free main


est se que des gen von sur le IRC ou il y a que moi ????

Hors ligne

#12 19-02-2008 13:01:01

freddec
homo-informaticus du genre linuxo-debianicum
Lieu : Saint Jean d'Y (17)
Distrib. : Branche Stable (Jessie)
Noyau : Linux 3.16.0-4-amd64
(G)UI : XFCE_4.1 (+/- Mate) (+/- Cinnamon)
Inscription : 09-01-2008

Re : [je lance un big help] Ati radeon X1400

Salut Bisounours

Je ne suis pas modo, mais pourrais tu avoir la gentillesse d'écrire dans un français correct , ça ne prends pas beaucoup plus de temps et ça simplifie la lecture pour les vieux schnock de mon accabit wink

Sinon pour savoir où tu en est de fglrx:

apt-cache show fglrx-kernel-src


si la version qui t'es renvoyée est bien 8.45.4-1 (ce qui devrait être le cas en testing) alors tu dois pouvoir l'installer en lieu et place de la 8.4.2 que tu as mis, régler ainsi les problèmes de dépendance et et relancer m-a pour compiler le module qui va bien

Pour info, copie partielle de la sortie de apt-cache show chez moi (Lenny/Testing)

apt-cache show fglrx-kernel-src
Package: fglrx-kernel-src
Priority: extra
Section: non-free/x11
Installed-Size: 1132
Maintainer: Romain Beauxis <toots@rastageeks.org>
Architecture: i386
Source: fglrx-driver
Version: 8.45.4-1

Dernière modification par freddec (19-02-2008 13:02:30)


Desktop: Jessie (I5 - 16Go)
Laptop 1: Jessie (HP DV9000, 3Go)
Laptop 2: Jessie (PackardBell TS 44, Core I5, 4Go)
EeePC : Jessie (Atom N450, 2 Go)

Hors ligne

#13 19-02-2008 16:20:51

Bisounours
Membre
Inscription : 16-02-2008

Re : [je lance un big help] Ati radeon X1400

je sais que ses chiant mais en faite je suis dislexique je fais mon possible pour écrire avec le moin de faute possible.
Désolé.

il me semble que aptitude search est beaucoup plus sympa a utiliser que apt-cache search et pour les instalation aptitude il gère mieux les dépendances non?.

Dernière modification par Bisounours (19-02-2008 16:26:16)

Hors ligne

#14 19-02-2008 21:04:58

MaTTuX_
La Paillasse !!!
Lieu : Zoubidou-Land
Distrib. : 75 serveurs
Noyau : 3.2.0-4-amd64
(G)UI : tty et ... pas gnome en tout cas....
Inscription : 28-05-2007
Site Web

Re : [je lance un big help] Ati radeon X1400

a ce qui lparrait oui mais moi j ai toujours fait apt-get et jamais eu de probleme, maintenant évite de faire les deux, choisit celui que tu prefère

\o/ Le closedSource c'est tabou on a viendra tous à bout \o/

Hors ligne

#15 19-02-2008 22:36:28

Melodie
Modérateur
Lieu : Pyrénées
Inscription : 28-05-2007
Site Web

Re : [je lance un big help] Ati radeon X1400

MaTTuX_ a écrit :

a ce qui lparrait oui mais moi j ai toujours fait apt-get et jamais eu de probleme, maintenant évite de faire les deux, choisit celui que tu prefère


Je pense que faire les deux à tour de rôle selon les difficultés qu'on rencontre n'est pas trop un problème en soi. J'avais décidé d'adopter aptitude, dans une antiXMepis-6.5 que j'ai installée sur mon vieux laptop, et puis une des désinstallations, que j'ai faite, ne m'a pas donné satisfaction avec aptitude : me dit "solution -375" (environ) et s'acharnait à me réinstaller des trucs bidons sans aboutir. J'ai donc ressorti apt-get, qui a fait ce qu'il fallait, mais je m'apperçois aussi que des fois c'est aptitude qui me rend le mieux service.

à freddec, il y a plusieurs membres de ce forums qui sont dyslexiques, aussi il y a dans le règlement une interdiction claire de taper sur les fautes d'orthographe, publiquement ou en privé.

à Bisounours, tu pourrais essayer d'écrire en français, à défaut d'écrire comme un romancier. wink

(black scream : un cri noir - les blue sream : les sream bleus... tongue)


le blog d'une newbie :: Linuxvillage :: Bentovillage


À propos de l'OS dominant ::> “Il est plus facile de berner les gens que de leur faire admettre qu'ils ont été bernés” (trad d'une citation approximative de Mark Twain)

Hors ligne

#16 20-02-2008 15:31:24

MaTTuX_
La Paillasse !!!
Lieu : Zoubidou-Land
Distrib. : 75 serveurs
Noyau : 3.2.0-4-amd64
(G)UI : tty et ... pas gnome en tout cas....
Inscription : 28-05-2007
Site Web

Re : [je lance un big help] Ati radeon X1400

Merci Melodie wink

\o/ Le closedSource c'est tabou on a viendra tous à bout \o/

Hors ligne

#17 20-02-2008 18:50:01

Melodie
Modérateur
Lieu : Pyrénées
Inscription : 28-05-2007
Site Web

Re : [je lance un big help] Ati radeon X1400

MaTTuX_ a écrit :

Merci Melodie wink


Il n'y a pas de quoi,  wink
Mélodie.

/Edit : je suis tout de même un peu triste de penser que la dyslexie ne peut pas bénéficier d'améliorations, voire de guérison ?


le blog d'une newbie :: Linuxvillage :: Bentovillage


À propos de l'OS dominant ::> “Il est plus facile de berner les gens que de leur faire admettre qu'ils ont été bernés” (trad d'une citation approximative de Mark Twain)

Hors ligne

#18 20-02-2008 20:43:33

MaTTuX_
La Paillasse !!!
Lieu : Zoubidou-Land
Distrib. : 75 serveurs
Noyau : 3.2.0-4-amd64
(G)UI : tty et ... pas gnome en tout cas....
Inscription : 28-05-2007
Site Web

Re : [je lance un big help] Ati radeon X1400

ben certaine personne y arrive, mais apres faut voir au cas par cas de chaque personne, ce n est pas si facil

\o/ Le closedSource c'est tabou on a viendra tous à bout \o/

Hors ligne

#19 01-04-2008 13:16:07

Bisounours
Membre
Inscription : 16-02-2008

Re : [je lance un big help] Ati radeon X1400

aprè pas mal de tentative l'acélération ne marche toujour pas mais je vais restez informez

Hors ligne

Pied de page des forums